GENSKY(1)

NAME
gensky - generate a RADIANCE description of the sky

SYNOPSIS
gensky month day time [ options ]
gensky -ang altitude azimuth [ options ]
gensky -defaults

DESCRIPTION
Gensky produces a RADIANCE scene description for the CIE standard sky distribution at the given month, day and time. By default, the time is interpreted as local standard time on a 24-hour clock. The time value may be given either as decimal hours, or using a colon to separate hours and minutes. If the time is immediately followed (no white space) by a North American or European time zone designation, then this determines the standard meridian, which may be specified alternatively with the -m option. The following time zones are understood, with their corresponding hour differences from Greenwich Mean Time:

Standard time:
YST   PST   MST   CST   EST   GMT
 9     8     7     6     5     0

CET   EET   AST   GST   IST   JST  NZST
-1    -2    -3    -4    -5.5  -9   -12

Daylight savings time:
YDT   PDT   MDT   CDT   EDT   BST
 8     7     6     5     4     -1

CEST  EEST  ADT   GDT   IDT   JDT  NZDT
 -2    -3   -4    -5   -6.5   -10  -13

If the time is preceded by a plus sign ('+'), then it is interpreted as local solar time instead. It is very important to specify the correct latitude and longitude (unless local solar time is given) using the -a and -o options to get the correct solar angles.

The second form gives the solar angles explicitly. The altitude is measured in degrees above the horizon, and the azimuth is measured in degrees west of South.

The third form prints the default option values.

The output sky distribution is given as a brightness function, skyfunc. Its value is in watts/steradian/meter2. The x axis points east, the y axis points north, and the z axis corresponds to the zenith. The actual material and surface(s) used for the sky is left up to the user. For a hemispherical blue sky, the description might be:

!gensky 4 1 14

skyfunc glow skyglow
0
0
4 .99 .99 1.1 0

skyglow source sky
0
0
4 0 0 1 180

Often, skyfunc will actually be used to characterize the light coming in from a window.

In addition to the specification of a sky distribution function, gensky suggests an ambient value in a comment at the beginning of the description to use with the -av option of the RADIANCE rendering programs. (See rvu(1) and rpict(1).) This value is the cosine-weighted radiance of the sky in watts/steradian/meter2.

Gensky supports the following options.

-s  Sunny sky without sun. The sky distribution will correspond to a standard CIE clear day.

+s  Sunny sky with sun. In addition to the sky distribution function, a source description of the sun is generated.

-c  Cloudy sky. The sky distribution will correspond to a standard CIE overcast day.

-i  Intermediate sky without sun. The sky will correspond to a standard CIE intermediate day.

+i  Intermediate sky with sun. In addition to the sky distribution, a (somewhat subdued) sun is generated.

-u  Uniform cloudy sky. The sky distribution will be completely uniform.

-g rfl
    Average ground reflectance is rfl. This value is used to compute skyfunc when Dz is negative. Ground plane brightness is the same for -s as for +s. (Likewise for -i and +i, but see the -r option below.)

-b brt
    The zenith brightness is brt. Zenith radiance (in watts/steradian/meter2) is normally computed from the sun angle and sky turbidity (for sunny sky). It can be given directly instead, using this option.

-B irrad
    Same as -b, except zenith brightness is computed from the horizontal diffuse irradiance (in watts/meter2).

-r rad
    The solar radiance is rad. Solar radiance (in watts/steradian/meter2) is normally computed from the solar altitude. This option may be used to override the default calculation. If a value of zero is given, no sun description is produced, and the contribution of direct solar to ground brightness is neglected.

-R irrad
    Same as -r, except solar radiance is computed from the horizontal direct irradiance (in watts/meter2).

-t trb
    The turbidity factor is trb. Greater turbidity factors correspond to greater atmospheric scattering. A turbidity factor of 1.0 indicates an ideal clear atmosphere (i.e. a completely dark sky). Values less than 1.0 are physically impossible.

The following options do not apply when the solar altitude and azimuth are given explicitly.

-a lat
    The site latitude is lat degrees north. (Use negative angle for south latitude.) This is used in the calculation of sun angle.

-o lon
    The site longitude is lon degrees west. (Use negative angle for east longitude.) This is used in the calculation of solar time and sun angle. Be sure to give the corresponding standard meridian also! If solar time is given directly, then this option has no effect.

-m mer
    The site standard meridian is mer degrees west of Greenwich. (Use negative angle for east.) This is used in the calculation of solar time. Be sure to give the correct longitude also! If a time zone or solar time is given directly, then this option has no effect.

EXAMPLE
To produce a sunny sky for July 4th at 2:30pm Eastern daylight time at a site latitude of 42 degrees, 89 degrees west longitude:

    gensky 7 4 14:30EDT +s -a 42 -o 89

To produce a sunny sky distribution for a specific sun position but without the sun description:

    gensky -ang 23 -40 -s

FILES
/usr/share/radiance/skybright.cal

AUTHOR
Greg Ward

SEE ALSO
rpict(1), rvu(1), xform(1)